import pytest

from myrequests.request_method.request_method import RequestMethod

depend_dict = {}

@pytest.fixture(scope="session")
def req_fix():
    yield RequestMethod()


@pytest.fixture(scope="session")
def depend_data_fix():
    return depend_dict

# 了解
@pytest.fixture(scope="session")
def set_depend_data_fix():
    def set_value(key, value):
        # ...
        depend_dict[key] = value
        # ...
    yield set_value


@pytest.fixture(scope="session")
def get_depend_data_fix():
    def get_value(key):
        # ...
        value = depend_dict.get(key)
        # ...
        return value
    yield get_value